package com.hfkj.openapi.model;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @className: RequestQueryDiscountListModel
 * @author: HuRui
 * @date: 2024/9/1
 **/
@Data
public class UserDiscountModel {
    /**
     * 优惠券编号
     */
   private String discountNo;
    /**
     * 优惠券名称
     */
   private String discountName;
    /**
     * 优惠券类型
     */
   private Integer discountType;
    /**
     * 满减金额
     */
   private BigDecimal discountCondition;
    /**
     * 优惠券金额
     */
   private BigDecimal discountPrice;
    /**
     * 领取优惠券code
     */
   private Long code;
    /**
     * 领取时间
     */
   private Date createTime;
    /**
     * 使用时间
     */
   private Date useTime;
    /**
     * 过期时间
     */
   private Date expirationTime;
    /**
     * 状态
     */
   private Integer status;
}
