package com.hfkj.openapi.model.request;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class RequestQueryListByPhoneModel {

    /**
     * appid
     */
    @NotBlank(message = "请求id必填项")
    private String reqId;

    /**
     * appid
     */
    @NotBlank(message = "appId必填项")
    private String appId;

    /**
     * 手机号
     */
    @NotNull(message = "手机号必填项")
    private String phone;

    /**
     * 使用状态
     */
    private Integer status;

    /**
     * 签名参数
     */
    @NotBlank(message = "签名必填项")
    private String sign;
}
