package com.hfkj.openapi.model.request;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @className: RequestQueryDiscountListModel
 * @author: HuRui
 * @date: 2024/9/1
 **/
@Data
public class RequestRefundDiscountModel {

    /**
     * 请求id必填项
     */
    @NotBlank(message = "请求id必填项")
    private String reqId;

    /**
     * appId
     */
    @NotBlank(message = "appId必填项")
    private String appId;

    /**
     * 推送请求id
     */
    @NotBlank(message = "优惠券库存代码必填项")
    private Long discountStockCode;

    /**
     * 签名参数
     */
    @NotBlank(message = "签名必填项")
    private String sign;

}
