package com.hfkj.openapi.model;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 加油油品
 */
@Data
public class GasOilPriceDetail {
    /**
     * 油号
     */
    private String oilNo;
    /**
     * 油号名称
     */
    private String oilNoName;
    /**
     * 油品类型
     */
    private Integer oilType;
    /**
     * 油品类型名称
     */
    private String oilTypeName;
    /**
     * 枪号
     */
    private List<String> gunNoList;
    /**
     * 国标价
     */
    private BigDecimal priceOfficial;
    /**
     * 油枪价
     */
    private BigDecimal priceGun;
}
