package com.hfkj.openapi.model.response;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 推送订单模型
 */
@Data
public class ResponseOrderDetailModel {
    /**
     * 订单号
     */
    private String orderNo;
    /**
     * 用户手机号
     */
    private String userPhone;
    /**
     * 油站编号
     */
    private String gasNo;
    /**
     * 油站名称
     */
    private String gasName;
    /**
     * 加油金额
     */
    private BigDecimal refuelPrice;
    /**
     * 油号
     */
    private String oilNo;
    /**
     * 枪号
     */
    private String gunNo;
    /**
     * 升数
     */
    private BigDecimal litre;
    /**
     * 国标价
     */
    private BigDecimal priceOfficial;
    /**
     * 油枪价
     */
    private BigDecimal priceGun;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 渠道类型
     */
    private Integer channelType;
    /**
     * 渠道单号
     */
    private String channelOrderNo;
    /**
     * 创建时间
     */
    private Date createTime;
}
