package com.hfkj.openapi.model.response;

import lombok.Data;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotBlank;
import java.util.List;
import java.util.Map;

/**
 * @className: RequestQueryDiscountListModel
 * @author: HuRui
 * @date: 2024/9/1
 **/
@Data
public class ResponsePushDiscountModel {
    /**
     * 请求id
     */
    private String reqId;

    /**
     * appid
     */
    private String appId;

    /**
     * 优惠券编码列表
     */
    private List<Map<String,Object>> codeList;

    /**
     * 签名参数
     */
    private String sign;

}
