package com.hfkj.openapi.model.response;

import com.hfkj.openapi.model.UserDiscountModel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 推送订单模型
 */
@Data
public class ResponseUserDiscountModel {
    /**
     * 请求id
     */
    private String reqId;
    /**
     * 手机号
     */
    private String userPhone;
    /**
     * 数据列表
     */
    private List<UserDiscountModel> dataList;
    /**
     * 签名参数
     */
    private String sign;
}
